<mat-card>

  <div class="mat-elevation-z8">
    <h1>Global Records</h1>
    <table mat-table [dataSource]="data$ | async" matSort class="mat-elevation-z8">
      <!-- Position Column -->
      <ng-container matColumnDef="text">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Text </th>
        <td mat-cell *matCellDef="let element"> {{element.text }} </td>
      </ng-container>
      <ng-container matColumnDef="creator">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>Creator </th>
        <td mat-cell *matCellDef="let element"> {{element.creator }} </td>
      </ng-container>
      <ng-container matColumnDef="isCompleted">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Completed</th>
        <td mat-cell
            *matCellDef="let element"> {{element.isCompleted}} </td>
      </ng-container>
      <ng-container matColumnDef="isGlobal">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Global</th>
        <td mat-cell
            *matCellDef="let element"> {{element.isGlobal}} </td>
      </ng-container>
      <ng-container matColumnDef="isLeader">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Leader</th>
        <td mat-cell
            *matCellDef="let element"> {{element.isLeader}} </td>
      </ng-container>

      <ng-container matColumnDef="start">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Start Date</th>
        <td mat-cell
            *matCellDef="let element"> {{element.start}} </td>
      </ng-container>

      <ng-container matColumnDef="end">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> End Date</th>
        <td mat-cell
            *matCellDef="let element"> {{element.end}} </td>
      </ng-container>


      <ng-container matColumnDef="score">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> Leader</th>
        <td mat-cell
            *matCellDef="let element"> {{element.isLeader}} </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </div>

</mat-card>
